QGIS Application - Feature request #3209

Set "Skip attribute creation" as a default setting when user chooses "Microstation DGN" format for

export
2010-11-13 03:10 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13269
Description

New description:

"Skip attribute creation" as a default setting when user chooses "Microstation DGN" format for export

Old description:

Converting (right click->Save as...) a shp in gpx results in an error:

creation of field DATA_INI failed (OGR error: Field of name 'DATA_INI' is not
supported in GPX schema. Use GPX_USE_EXTENSIONS creation option to allow use of the

<extensions> element.)

This crashes my machine.

Similar stuff while saving to DGN files.

Associated revisions

Revision 7634b0b7 - 2017-06-13 04:35 PM - Jiirgen Fischer
vector file writer fixes:
- don't apply un-overridden default options

- DGN: don't export attributes and fix layername to "elements”

Revision 9a6235db - 2017-06-13 04:45 PM - Jiirgen Fischer
vector file writer fixes:

- don't apply un-overridden default options

- DGN: don't export attributes and fix layername to "elements"

(cherry picked from commit 7634b0b759bc0cedba28f9e9199d6a81a498ec5a)

History

#1 - 2010-11-25 12:58 AM - Luca Casagrande

To avoid errors when converting to GPX, the flag -dsco GPX_USE_EXTENSIONS=YES should be enabled by default.
It doesn't bring any data corruption, it just add extra fields inside the<extensions> tag.

#2 - 2011-03-07 08:12 AM - Jiirgen Fischer
That's what the "data source" field in "OGR creation options" is for and getting to GPX_USE_EXTENSIONS takes three clicks and a little bit of scrolling
starting with the "help" button.

| suppose you didn't mean tht your whole machine crashes after the error message.

#3 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-05-30 12:56 AM - Simone Bianchi

| am wondering if the following problem is related.

I'm trying to download data from a Garmin 60csx, but it reports everytime The layer C:/Users/simblanco/Documents/GIS/test.gpx ?type=waypoint is not a

valid layer and can not be added to the map. The problem is that the file is not saved on the harddisk. | don't know if it is possible to enable
GPX_USE_EXTENSIONS for this procedure.

(The problem | guess is not in the GPS usb connection because | edited the settings and the GPS is indeed beeping when | enter the command)

#6 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2015-11-19 02:29 AM - Médéric RIBREUX
- Pull Request or Patch supplied set to No

- % Done changed from 0 to 50

- Assignee deleted (nobody -)

- Status changed from Open to Feedback

Hello, bug triage...

for GPX export, there is now (QGIS 2.13 master) no problem, the GPX_USE_EXTENSIONS is set to YES by default. Half done !

For DGN, there is a problem for the default settings: DGN seems to not accept attributes .

We need to set "Skip attribute creation" as a default setting when user chooses "Microstation DGN" format for export.

#8 - 2015-12-22 05:13 AM - Médéric RIBREUX
- Status changed from Feedback to Open

#9 - 2015-12-22 07:52 AM - Giovanni Manghi

- Status info deleted (1)

- Subject changed from saving to GPX or DGN fails to Set "Skip attribute creation" as a default setting when user chooses "Microstation DGN" format
for export

- Category changed from Data Provider to Vectors

- Operating System deleted (All)

#10 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
http://www.gdal.org/drv_dgn.html

#11 - 2017-06-13 05:06 PM - Jiirgen Fischer
- Description updated

Fixed in commit:9a6235dba and commit:7634b0b75

#12 - 2017-06-13 05:07 PM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to fixed/implemented
